about summary refs log tree commit diff stats
path: root/crates/libmpv2/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'crates/libmpv2/update.sh')
-rwxr-xr-xcrates/libmpv2/update.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/crates/libmpv2/update.sh b/crates/libmpv2/update.sh
index 1ff19c6..98d5376 100755
--- a/crates/libmpv2/update.sh
+++ b/crates/libmpv2/update.sh
@@ -10,7 +10,8 @@
 # You should have received a copy of the License along with this program.
 # If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
 
-[ "$1" = "upgrade" ] && cargo upgrade
+cd "$(dirname "$0")" || exit 1
+[ "$1" = "upgrade" ] && cargo upgrade --incompatible
 cargo update
 
-./libmpv2-sys/update.sh "$@"
+"$(dirname "$0")/libmpv2-sys/update.sh" "$@"